[arch-commits] Commit in haskell-deepseq/trunk (PKGBUILD haskell-deepseq.install)

Vesa Kaihlavirta vesa at archlinux.org
Tue Jan 19 02:44:59 EST 2010


    Date: Tuesday, January 19, 2010 @ 02:44:59
  Author: vesa
Revision: 63990

forgot to add these

Added:
  haskell-deepseq/trunk/PKGBUILD
  haskell-deepseq/trunk/haskell-deepseq.install

-------------------------+
 PKGBUILD                |   26 ++++++++++++++++++++++++++
 haskell-deepseq.install |   14 ++++++++++++++
 2 files changed, 40 insertions(+)

Added: PKGBUILD
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2010-01-19 07:44:59 UTC (rev 63990)
@@ -0,0 +1,26 @@
+# Maintainer: Vesa Kaihlavirta <vesa at archlinux.org>
+# Contributor: Arch Haskell Team <arch-haskell at haskell.org>
+pkgname=haskell-deepseq
+pkgver=1.1.0.0
+pkgrel=1
+pkgdesc="Fully evaluate data structures"
+url="http://hackage.haskell.org/cgi-bin/hackage-scripts/package/deepseq"
+license=('custom:BSD3')
+arch=('i686' 'x86_64')
+depends=(ghc=6.12.1 sh)
+options=('strip')
+source=(http://hackage.haskell.org/packages/archive/deepseq/$pkgver/deepseq-$pkgver.tar.gz)
+install=$pkgname.install
+
+build() {
+    cd $srcdir/deepseq-$pkgver
+    runhaskell Setup configure -p --enable-split-objs --enable-shared --prefix=/usr || return 1
+    runhaskell Setup build                   || return 1
+    runhaskell Setup register   --gen-script || return 1
+    runhaskell Setup unregister --gen-script || return 1
+    install -D -m744 register.sh   $pkgdir/usr/share/haskell/$pkgname/register.sh
+    install    -m744 unregister.sh $pkgdir/usr/share/haskell/$pkgname/unregister.sh
+    runhaskell Setup copy --destdir=$pkgdir || return 1
+    install -D -m644 LICENSE $pkgdir/usr/share/licenses/$pkgname/LICENSE || return 1
+}
+md5sums=('41194f8633be8e30cacad88146dbf7c2')

Added: haskell-deepseq.install
===================================================================
--- haskell-deepseq.install	                        (rev 0)
+++ haskell-deepseq.install	2010-01-19 07:44:59 UTC (rev 63990)
@@ -0,0 +1,14 @@
+HS_DIR=/usr/share/haskell/haskell-deepseq
+post_install() {
+  ${HS_DIR}/register.sh
+}
+pre_upgrade() {
+  ${HS_DIR}/unregister.sh &> /dev/null
+  exit 0
+}
+post_upgrade() {
+  ${HS_DIR}/register.sh
+}
+pre_remove() {
+  ${HS_DIR}/unregister.sh
+}



More information about the arch-commits mailing list